Loading...
Searching...
No Matches
absolute.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "integral_limits.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Namespaces

namespace | etl

## Functions

template<typename T>
T | etl::private_absolute::signed_min_error ()
template<typename T>
ETL_NODISCARD ETL_CONSTEXPR etl::enable_if< etl::is_signed< T >::value &&etl::is_integral< T >::value, T >::type | etl::absolute (T value)
template<typename T>
ETL_NODISCARD ETL_CONSTEXPR etl::enable_if< etl::is_signed< T >::value &&!etl::is_integral< T >::value, T >::type | etl::absolute (T value) ETL_NOEXCEPT
template<typename T>
ETL_NODISCARD ETL_CONSTEXPR etl::enable_if< etl::is_unsigned< T >::value, T >::type | etl::absolute (T value) ETL_NOEXCEPT
template<typename T>
ETL_NODISCARD ETL_CONSTEXPR etl::enable_if< etl::is_signed< T >::value, typenameetl::make_unsigned< T >::type >::type | etl::absolute_unsigned (T value) ETL_NOEXCEPT
template<typename T>
ETL_NODISCARD ETL_CONSTEXPR etl::enable_if< etl::is_unsigned< T >::value, T >::type | etl::absolute_unsigned (T value) ETL_NOEXCEPT